<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::column_major_layout::layout&lt; T, num_rows, num_cols, mem_manager, 3 &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1column__major__layout.html">column_major_layout</a></li><li class="navelem"><a class="el" href="classdlib_1_1column__major__layout_1_1layout_3_01_t_00_01num__rows_00_01num__cols_00_01mem__manager_00_013_01_4.html">layout&lt; T, num_rows, num_cols, mem_manager, 3 &gt;</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1column__major__layout_1_1layout_3_01_t_00_01num__rows_00_01num__cols_00_01mem__manager_00_013_01_4-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::column_major_layout::layout&lt; T, num_rows, num_cols, mem_manager, 3 &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::column_major_layout::layout&lt; T, num_rows, num_cols, mem_manager, 3 &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1column__major__layout_1_1layout_3_01_t_00_01num__rows_00_01num__cols_00_01mem__manager_00_013_01_4.png" usemap="#dlib::column_5Fmajor_5Flayout::layout_3C_20T_2C_20num_5Frows_2C_20num_5Fcols_2C_20mem_5Fmanager_2C_203_20_3E_map" alt=""/>
  <map id="dlib::column_5Fmajor_5Flayout::layout_3C_20T_2C_20num_5Frows_2C_20num_5Fcols_2C_20mem_5Fmanager_2C_203_20_3E_map" name="dlib::column_5Fmajor_5Flayout::layout_3C_20T_2C_20num_5Frows_2C_20num_5Fcols_2C_20mem_5Fmanager_2C_203_20_3E_map">
<area href="classdlib_1_1noncopyable.html" alt="dlib::noncopyable" shape="rect" coords="0,0,462,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3ea53250162cbfb6098f61270e7b1f9e"><td class="memItemLeft" align="right" valign="top"><a id="a3ea53250162cbfb6098f61270e7b1f9e"></a>
T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long r, long c)</td></tr>
<tr class="separator:a3ea53250162cbfb6098f61270e7b1f9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d0a2460559e6896e799773d1bf66bdc"><td class="memItemLeft" align="right" valign="top"><a id="a2d0a2460559e6896e799773d1bf66bdc"></a>
const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long r, long c) const</td></tr>
<tr class="separator:a2d0a2460559e6896e799773d1bf66bdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0155c8779a70d3ef2093588080961b6c"><td class="memItemLeft" align="right" valign="top"><a id="a0155c8779a70d3ef2093588080961b6c"></a>
T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long i)</td></tr>
<tr class="separator:a0155c8779a70d3ef2093588080961b6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a132ea64cc6bec42a5b89abf8cf424f3a"><td class="memItemLeft" align="right" valign="top"><a id="a132ea64cc6bec42a5b89abf8cf424f3a"></a>
const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long i) const</td></tr>
<tr class="separator:a132ea64cc6bec42a5b89abf8cf424f3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50034c4760d365c9dfada39b079ebb65"><td class="memItemLeft" align="right" valign="top"><a id="a50034c4760d365c9dfada39b079ebb65"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>swap</b> (<a class="el" href="classdlib_1_1column__major__layout_1_1layout.html">layout</a> &amp;item)</td></tr>
<tr class="separator:a50034c4760d365c9dfada39b079ebb65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09fb5896623a3baaded361a54696d70c"><td class="memItemLeft" align="right" valign="top"><a id="a09fb5896623a3baaded361a54696d70c"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:a09fb5896623a3baaded361a54696d70c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5565b603c7cb0265a8da9605522f820"><td class="memItemLeft" align="right" valign="top"><a id="af5565b603c7cb0265a8da9605522f820"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:af5565b603c7cb0265a8da9605522f820"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79a24b8d5084a6a0cc3123eefb5ab69c"><td class="memItemLeft" align="right" valign="top"><a id="a79a24b8d5084a6a0cc3123eefb5ab69c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_size</b> (long nr, long nc)</td></tr>
<tr class="separator:a79a24b8d5084a6a0cc3123eefb5ab69c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a5027594c4405c599b528307aaf33b6f4"><td class="memItemLeft" align="right" valign="top"><a id="a5027594c4405c599b528307aaf33b6f4"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b> = num_rows</td></tr>
<tr class="separator:a5027594c4405c599b528307aaf33b6f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8264e7ac12431ca12fa58cd56c6d7f4"><td class="memItemLeft" align="right" valign="top"><a id="ad8264e7ac12431ca12fa58cd56c6d7f4"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b> = num_cols</td></tr>
<tr class="separator:ad8264e7ac12431ca12fa58cd56c6d7f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aa3676f56ce71905a9ca217e71c13457d"><td class="memItemLeft" align="right" valign="top"><a id="aa3676f56ce71905a9ca217e71c13457d"></a>
T *&#160;</td><td class="memItemRight" valign="bottom"><b>data</b></td></tr>
<tr class="separator:aa3676f56ce71905a9ca217e71c13457d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36506fba9a608ae65896507da2c45719"><td class="memItemLeft" align="right" valign="top"><a id="a36506fba9a608ae65896507da2c45719"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr_</b></td></tr>
<tr class="separator:a36506fba9a608ae65896507da2c45719"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aead8306950e50eb98a6f2606468e74"><td class="memItemLeft" align="right" valign="top"><a id="a8aead8306950e50eb98a6f2606468e74"></a>
mem_manager::template rebind&lt; T &gt;::other&#160;</td><td class="memItemRight" valign="bottom"><b>pool</b></td></tr>
<tr class="separator:a8aead8306950e50eb98a6f2606468e74"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1noncopyable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1noncopyable')"><img src="closed.png" alt="-"/>&#160;Private Member Functions inherited from <a class="el" href="classdlib_1_1noncopyable.html">dlib::noncopyable</a></td></tr>
<tr class="memitem:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1noncopyable.html#ac52d1076f79ef032f5ced545bd4cc4f9">noncopyable</a> ()</td></tr>
<tr class="separator:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="matrix__data__layout_8h_source.html">matrix_data_layout.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
